Bug 233777 - security/softhsm2: Fails to build with OpenSSL 1.1.x / LibreSSL
Summary: security/softhsm2: Fails to build with OpenSSL 1.1.x / LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Niclas Zeising
URL:
Keywords: needs-qa, patch
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-12-04 15:40 UTC by Sergey Akhmatov
Modified: 2019-07-02 20:50 UTC (History)
3 users (show)

See Also:
jaap: maintainer-feedback+
koobs: merge-quarterly?


Attachments
softhsm2 fix with non-base openssl (1.69 KB, patch)
2018-12-04 15:40 UTC, Sergey Akhmatov
no flags Details | Diff
softhsm2 fix with non-base openssl (1.67 KB, patch)
2018-12-04 16:36 UTC, Sergey Akhmatov
jaap: maintainer-approval+
Details | Diff
improved patch (1.75 KB, patch)
2019-07-02 18:50 UTC, Jaap Akkerhuis
jaap: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Akhmatov 2018-12-04 15:40:25 UTC
Created attachment 199815 [details]
softhsm2 fix with non-base openssl

The port fails to build with non-base openssl, e.g. with DEFAULT_VERSIONS= ssl=openssl111 on 11.2 or DEFAULT_VERSIONS= ssl=openssl on 12.0

The attached patch fixes thing for me:
- Add USES=ssl and OPENSSLBASE path to configure options.
- Add patch from upstream to fix build with libressl: https://github.com/opendnssec/SoftHSMv2/commit/308b0b2760d6cb218003768747346d31764f1cfe


QA: poudriere testport OK on 11.2-RELEASE and 12.0-RC3 with DEFAULT_VERSIONS= ssl= (base, openssl, openssl111, libressl, libressl-devel)
Comment 1 Sergey Akhmatov 2018-12-04 16:36:51 UTC
Created attachment 199821 [details]
softhsm2 fix with non-base openssl

Updated patch, missed "USES= ssl" which makes "CRYP_OPEN_USES= ssl" useless, remove it.
Comment 2 Jaap Akkerhuis 2018-12-11 19:08:25 UTC
(In reply to Sergey Akhmatov from comment #1)

The patch seems to work fine, tested on multiple releases (using poudriere). Approved.

Small issue, the committer might want to raise the PORTREVISON.

    jaap
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 06:37:53 UTC
@jaap please use the maintainer-approval flag (+) to declare acceptance/approval of a patch (attachment). If you'd like a new patch for PORTREVISION, it would also be less confusing not to accept it, though this likely doesn't require one as it appears to only fix broken builds.
Comment 4 Jaap Akkerhuis 2018-12-14 11:17:14 UTC
(In reply to Kubilay Kocak from comment #3)
Some committers want to see a revision bump for small changes like this, others remove a revision dump when I do one so it was more a question then anything else. But go ahead with this patch (maintainer flag is set).
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 11:23:57 UTC
(In reply to jaap from comment #4)

I understand. Either way you can set the maintainer-approval flag (on attachments) to +. 

You can do this with: Attachment -> Details -> maintainer-approval [+] to signify approval/acceptance

This is different from the maintainer-feedback flag, which is just to acknowledge/provide general feedback (at the issue level, not on patches)
Comment 6 Jaap Akkerhuis 2018-12-14 11:30:09 UTC
(In reply to Kubilay Kocak from comment #5)
Didn't realise there was a separate flag for attachments. It is now set
Comment 7 John Baldwin freebsd_committer freebsd_triage 2019-07-02 15:45:40 UTC
Is this still needed and just waiting for a ports committer to merge the approved patch?
Comment 8 Jaap Akkerhuis 2019-07-02 18:49:19 UTC
(In reply to John Baldwin from comment #7)

Yes please, the patch is still needed (I just tested). I will add an updated patch which includes the proposed revision bump.
Comment 9 Jaap Akkerhuis 2019-07-02 18:50:55 UTC
Created attachment 205486 [details]
improved patch

As promised, this patch has the revision bump included
Comment 10 commit-hook freebsd_committer 2019-07-02 20:46:26 UTC
A commit references this bug:

Author: zeising
Date: Tue Jul  2 20:45:36 UTC 2019
New revision: 505706
URL: https://svnweb.freebsd.org/changeset/ports/505706

Log:
  security/softhsm2: Fix build with non-base openSSL

  PR:		233777
  Submitted by:	Sergey Akhmatov
  Approved by:	Jaap Akkerhuis (maintainer)

Changes:
  head/security/softhsm2/Makefile
  head/security/softhsm2/files/patch-src_lib_crypto_OSSLCryptoFactory.cpp
Comment 11 Niclas Zeising freebsd_committer 2019-07-02 20:50:44 UTC
Committed, thanks!